" Plugin definitions.

" I have no idea how to auto-install vim-plug on Windows
" so you will have to install it manually.
if !(has('win16') || has('win32') || has('win64'))
  if empty(glob('~/.config/nvim/autoload/plug.vim'))
    silent !curl -fLo ~/.config/nvim/autoload/plug.vim --create-dirs
      \ https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim
    autocmd VimEnter * PlugInstall | source %
  endif
endif

call plug#begin('~/.config/nvim/plugged')

" UI
Plug 'arcticicestudio/nord-vim'
Plug 'vim-airline/vim-airline'
Plug 'vim-airline/vim-airline-themes'
Plug 'ryanoasis/vim-devicons'
Plug 'preservim/nerdtree'
"" This plugin has been archived so if there are problems
"" They may emerge here
Plug 'Xuyuanp/nerdtree-git-plugin'
Plug 'nvim-treesitter/nvim-treesitter', {'do': ':TSUpdate'}

" General Editing
Plug 'tpope/vim-surround'
Plug 'tpope/vim-commentary'

"" Search
Plug 'kien/ctrlp.vim'

"" Git
Plug 'tpope/vim-fugitive'

"" LSP
Plug 'prabirshrestha/vim-lsp'
Plug 'mattn/vim-lsp-settings'

"" Autocomplete
Plug 'prabirshrestha/asyncomplete.vim'
Plug 'prabirshrestha/asyncomplete-lsp.vim'

"" Tmux Helper
Plug 'preservim/vimux'
Plug 'christoomey/vim-tmux-navigator'

"" Linting
Plug 'w0rp/ale'

"" Planning
Plug 'jceb/vim-orgmode'

"" Commands
Plug 'skywind3000/asyncrun.vim'

"" Syntax highlighting
Plug 'sheerun/vim-polyglot'

"" Languages

"""""""""""""""""""""""""
" Python
"""""""""""""""""""""""""

"" Pyenv Support
Plug 'lambdalisue/vim-pyenv'

call plug#end()
